Bug 216791 - Automatically open Test Results window
Automatically open Test Results window
Status: VERIFIED FIXED
Product: utilities
Classification: Unclassified
Component: Test Runner
7.2
All All
: P2 with 1 vote (vote)
: 7.4
Assigned To: Theofanis Oikonomou
issues@utilities
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 12:01 UTC by Ondrej Brejla
Modified: 2013-07-22 13:09 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Brejla 2012-08-13 12:01:08 UTC
Hi,

I think that it would be very very usefull to have an option (checkbox?) in Tools -> Options -> Java -> Testing to enable automatic opening of Test Results window. 

Now it's opened only when some test fails. If everything is ok, just that "pretty bubble" appears for a second...and then disappears.

I'm used to that green/red bar in results window. Especially when I run my tests which takes about 45 minutes, then I leave my comp for a while, then I return to comp and I don't see anything on my screen. Sometimes I have to think if I run them or not :)

So please, allow us, lazy users, to enable that switch and to see that pretty green bar everytime we run a test :)

Thanks in advance!
Comment 1 Theofanis Oikonomou 2013-02-13 16:39:21 UTC
Changeset: 2f6cb236cdaa
Author:    Theofanis Oikonomou <theofanis@netbeans.org>
Date:      2013-02-13 17:14
Message:   
Issue #216791 - Automatically open Test Results window
Comment 2 Quality Engineering 2013-02-15 12:43:19 UTC
Integrated into 'main-golden', will be available in build *201302150954* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2f6cb236cdaa
User: Theofanis Oikonomou <theofanis@netbeans.org>
Log: Issue #216791 - Automatically open Test Results window
Comment 3 Jiri Kovalsky 2013-07-22 13:09:41 UTC
Product Version: NetBeans IDE Dev (Build 201307212300)
Updates: Updates available
Java: 1.7.0_40-ea; Java HotSpot(TM) 64-Bit Server VM 24.0-b52
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-ea-b33
System: Linux version 3.0.0-12-generic running on amd64; UTF-8; cs_CZ (nb)
User directory: /home/cesilko/.netbeans/dev
Cache directory: /home/cesilko/.cache/netbeans/dev

Test Results window is now always opened.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo